fop 1.1

## org.apache.fop.render.bitmap
Interface TIFFConstants

All Known Implementing Classes:
  BitmapRenderingSettings, TIFFRenderer

    public interface TIFFConstants

Constants for TIFF output.

Field Summary
`static java.lang.String` `COMPRESSION_CCITT_T4` CCITT Group 3 (T.4) compression
`static java.lang.String` `COMPRESSION_CCITT_T6` CCITT Group 4 (T.6) compression
`static java.lang.String` `COMPRESSION_DEFLATE` Deflate compression
`static java.lang.String` `COMPRESSION_JPEG` JPEG compression
`static java.lang.String` `COMPRESSION_LZW` LZW compression
`static java.lang.String` `COMPRESSION_NONE` No compression
`static java.lang.String` `COMPRESSION_PACKBITS` Packbits (RLE) compression
`static java.lang.String` `COMPRESSION_ZLIB` ZLib compression
`static java.lang.String` `MIME_TYPE` The MIME type for tiff-Rendering

Field Detail

### MIME_TYPE

    static final java.lang.String MIME_TYPE

  The MIME type for tiff-Rendering

  See Also:
    Constant Field Values

### COMPRESSION_NONE

    static final java.lang.String COMPRESSION_NONE

  No compression

  See Also:
    Constant Field Values

### COMPRESSION_JPEG

    static final java.lang.String COMPRESSION_JPEG

  JPEG compression

  See Also:
    Constant Field Values

### COMPRESSION_PACKBITS

    static final java.lang.String COMPRESSION_PACKBITS

  Packbits (RLE) compression

  See Also:
    Constant Field Values

### COMPRESSION_DEFLATE

    static final java.lang.String COMPRESSION_DEFLATE

  Deflate compression

  See Also:
    Constant Field Values

### COMPRESSION_LZW

    static final java.lang.String COMPRESSION_LZW

  LZW compression

  See Also:
    Constant Field Values

### COMPRESSION_ZLIB

    static final java.lang.String COMPRESSION_ZLIB

  ZLib compression

  See Also:
    Constant Field Values

### COMPRESSION_CCITT_T6

    static final java.lang.String COMPRESSION_CCITT_T6

  CCITT Group 4 (T.6) compression

  See Also:
    Constant Field Values

### COMPRESSION_CCITT_T4

    static final java.lang.String COMPRESSION_CCITT_T4

  CCITT Group 3 (T.4) compression

  See Also:
    Constant Field Values

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.